package xsmeral.pipe.sample;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.logging.Level;
import java.util.logging.Logger;
import xsmeral.pipe.LocalObjectSource;
import xsmeral.pipe.ProcessorStoppedException;
import xsmeral.pipe.interfaces.ObjectProcessorInterface;

@ObjectProcessorInterface(out = String.class)
public class StdInLineReader extends LocalObjectSource<String> {

    @Override
    public void process() throws ProcessorStoppedException {
        try {
            String line = new BufferedReader(new InputStreamReader(System.in)).readLine();
            write(line);
        } catch (IOException ex) {
            Logger.getLogger(StdInLineReader.class.getName()).log(Level.SEVERE, null, ex);
        }
    }
}
